/*------------------------------------*\
    #BASE.ICONS
\*------------------------------------*/
/**
 * Basic icon definitions. Imports grunticon-generated styles
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.base';
@import '../generated/generated.grunticon.data-svg';

%icon-default {
    background-size: 3rem;
}

%icon-small {
    background-size: 12px;
    background-size: 1.6rem 1.8rem;

    padding-left: 17px;
    padding-left: 2.5rem;
}

.icon-calendar {
    @extend %icon-small;
}

// HTML-inlined icons
.sprite {
    display: block;
}

.sprite-icon {
    height: $frs-base-unit;
    width: $frs-base-unit;
}

.sprite-small-icon {
    height: $frs-base-unit;
    width: 1.5em;
}

.icon--hidden {
    visibility: hidden;
}
